org.ajax4jsf.renderkit.html

## Class AjaxPushRenderer

- java.lang.Object
- - javax.faces.render.Renderer
  - - org.ajax4jsf.renderkit.RendererBase
    - - org.ajax4jsf.renderkit.HeaderResourcesRendererBase
      - - org.ajax4jsf.renderkit.AjaxComponentRendererBase
        - - org.ajax4jsf.renderkit.AjaxCommandRendererBase
          - - org.ajax4jsf.renderkit.html.AjaxPushRenderer

- All Implemented Interfaces:
    org.ajax4jsf.renderkit.ChameleonRenderer, org.ajax4jsf.renderkit.HeaderResourceProducer, org.ajax4jsf.renderkit.HeaderResourceProducer2, org.ajax4jsf.resource.ResourceProduser

      public class AjaxPushRenderer
      extends AjaxCommandRendererBase

  Author:
    shura

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `DEFAULT_PUSH_INTERVAL`
    `static int` | `DEFAULT_PUSH_WAIT`
    `static java.lang.String` | `PUSH_INTERVAL_PARAMETER`
    `static java.lang.String` | `PUSH_URL_PARAMETER`
    `static java.lang.String` | `PUSH_WAIT_PARAMETER`

    - ### Fields inherited from class org.ajax4jsf.renderkit.RendererBase

      `JAVASCRIPT_NAMESPACE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AjaxPushRenderer()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `doEncodeEnd(javax.faces.context.ResponseWriter writer, javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
    `protected java.lang.Class` | `getComponentClass()`
    `protected boolean` | `isSubmitted(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent uiComponent)`

    - ### Methods inherited from class org.ajax4jsf.renderkit.AjaxCommandRendererBase

      `doDecode, encodeChildren, getOnClick, getType, getValue`

    - ### Methods inherited from class org.ajax4jsf.renderkit.AjaxComponentRendererBase

      `getAdditionalScripts, getScripts`

    - ### Methods inherited from class org.ajax4jsf.renderkit.HeaderResourcesRendererBase

      `encodeResourcesArray, encodeToHead, getHeaderScripts, getHeaderStyles, getStyles`

    - ### Methods inherited from class org.ajax4jsf.renderkit.RendererBase

      `addResource, decode, doEncodeBegin, doEncodeChildren, encodeBegin, encodeEnd, getResource, getSkin, getUtils, preDecode, preEncodeBegin, renderChild, renderChildren`

    - ### Methods inherited from class javax.faces.render.Renderer

      `convertClientId, getConvertedValue, getRendersChildren`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.ajax4jsf.renderkit.HeaderResourceProducer2

      `encodeToHead`

- - ### Field Detail

    - #### PUSH_INTERVAL_PARAMETER

          public static final java.lang.String PUSH_INTERVAL_PARAMETER

      See Also:
        Constant Field Values

    - #### PUSH_WAIT_PARAMETER

          public static final java.lang.String PUSH_WAIT_PARAMETER

      See Also:
        Constant Field Values

    - #### PUSH_URL_PARAMETER

          public static final java.lang.String PUSH_URL_PARAMETER

      See Also:
        Constant Field Values

    - #### DEFAULT_PUSH_INTERVAL

          public static final int DEFAULT_PUSH_INTERVAL

      See Also:
        Constant Field Values

    - #### DEFAULT_PUSH_WAIT

          public static final int DEFAULT_PUSH_WAIT

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### AjaxPushRenderer

          public AjaxPushRenderer()

  - ### Method Detail

    - #### doEncodeEnd

          protected void doEncodeEnd(javax.faces.context.ResponseWriter writer,
                         javax.faces.context.FacesContext context,
                         javax.faces.component.UIComponent component)
                              throws java.io.IOException

      Overrides:
        `doEncodeEnd` in class `org.ajax4jsf.renderkit.RendererBase`
      Throws:
        `java.io.IOException`

    - #### getComponentClass

          protected java.lang.Class getComponentClass()

      Specified by:
        `getComponentClass` in class `org.ajax4jsf.renderkit.RendererBase`

    - #### isSubmitted

          protected boolean isSubmitted(javax.faces.context.FacesContext facesContext,
                            javax.faces.component.UIComponent uiComponent)

      Overrides:
        `isSubmitted` in class `AjaxCommandRendererBase`

Copyright © 2013. All Rights Reserved.